View Issue Details

IDProjectCategoryView StatusLast Update
0035780FPCDocumentationpublic2019-07-01 07:11
ReporterLacaKAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionreopened 
Product Version3.0.4Product Build 
Target VersionFixed in Version3.3.1 
Summary0035780: DateTimeToStr() contains reference to LongDateTimeFormat, which is not defined
DescriptionIn https://www.freepascal.org/docs-html/rtl/sysutils/datetimetostr.html there is mentioned:
"DateTimeToStr returns a string representation of DateTime using the formatting specified in LongDateTimeFormat."

LongDateTimeFormat does not exists in FormatSettings. In this case is used:
ShortDateFormat and LongTimeFormat
Additional InformationAlso comment in dati.inc should be adjusted:
{ DateTimeToStr returns a string representation of DateTime using LongDateTimeFormat }
TagsNo tags attached.
Fixed in Revision1631
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Michael Van Canneyt

2019-06-28 15:57

administrator   ~0116992

Changed. Thanks for reporting!

LacaK

2019-06-30 18:13

developer   ~0117018

Please change also comment in rtl/objpas/sysutils/dati.inc from:
{ DateTimeToStr returns a string representation of DateTime using LongDateTimeFormat }

to something like:
{ DateTimeToStr returns a string representation of DateTime using ShortDateFormat and LongTimeFormat }

Michael Van Canneyt

2019-06-30 19:21

administrator   ~0117019

Done, but please don't reopen a issue for this, use a new issue.

Issue History

Date Modified Username Field Change
2019-06-28 14:41 LacaK New Issue
2019-06-28 14:41 LacaK Status new => assigned
2019-06-28 14:41 LacaK Assigned To => Michael Van Canneyt
2019-06-28 15:57 Michael Van Canneyt Status assigned => resolved
2019-06-28 15:57 Michael Van Canneyt Resolution open => fixed
2019-06-28 15:57 Michael Van Canneyt Fixed in Version => 3.3.1
2019-06-28 15:57 Michael Van Canneyt Fixed in Revision => 1631
2019-06-28 15:57 Michael Van Canneyt FPCTarget => 3.2.0
2019-06-28 15:57 Michael Van Canneyt Note Added: 0116992
2019-06-30 18:13 LacaK Status resolved => feedback
2019-06-30 18:13 LacaK Resolution fixed => reopened
2019-06-30 18:13 LacaK Note Added: 0117018
2019-06-30 19:21 Michael Van Canneyt Status feedback => resolved
2019-06-30 19:21 Michael Van Canneyt Note Added: 0117019
2019-07-01 07:11 LacaK Status resolved => closed